package chess.mobile.browsepgnfile;

import java.util.List;

import chess.mobile.BasePresenter;
import chess.mobile.BaseView;
import chess.mobile.chessgame.pgn.PGNGame;

/**
 * Created 07.07.2017.
 */

interface BrowsePgnContract {

    interface View extends BaseView<Presenter> {

        void showGames(List<PGNGame> gameList);

        void showGame(int id);

        void showLoading(boolean show);
    }

    interface Presenter extends BasePresenter {

        void loadGame(PGNGame game);

        void stop();

    }

}
