package chess.mobile.dao;

import chess.mobile.model.Engine;
import chess.mobile.rest.Response;
import chess.mobile.rest.ResponseListener;

/**
 * Created by Stanisław Kabaciński.
 */

public interface EngineDAO {

    void getEnginesList(ResponseListener<Engine[]> callback);

    void startEngine(String engineName, ResponseListener<Response> callback);

    void stopEngine(ResponseListener<Response> callback);

    void setPosition(String moves, ResponseListener<Response> callback);

}
