package chess.mobile.dao;

import chess.mobile.model.LoginForm;
import chess.mobile.model.LoginResponse;
import chess.mobile.rest.ApiCallback;
import chess.mobile.rest.ResponseListener;
import chess.mobile.rest.ServiceGenerator;
import chess.mobile.rest.UserService;

/**
 * Created by Stanisław Kabaciński.
 */

public class ServerAccessDAOImpl implements ServerAccessDAO {

    @Override
    public void login(LoginForm loginForm, ResponseListener<LoginResponse> callback) {
        UserService userService = ServiceGenerator.createService(UserService.class);
        userService.login(loginForm).enqueue(new ApiCallback<>(callback));
    }

    @Override
    public void logout(ResponseListener<Object> callback) {
        UserService userService = ServiceGenerator.createService(UserService.class);
        userService.logout().enqueue(new ApiCallback<>(callback));
    }

}
