package chess.mobile.engineoptions;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;

import chess.mobile.R;
import chess.mobile.dao.UserSettingsDAOImpl;

import static butterknife.ButterKnife.findById;

public class EngineOptionsActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_engine_options);
        Toolbar toolbar = findById(this, R.id.toolbar);
        setSupportActionBar(toolbar);
        getSupportActionBar().setDisplayShowHomeEnabled(true);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);

        EngineOptionsFragment fragment = new EngineOptionsFragment();
        new EngineOptionsPresenter(fragment, new UserSettingsDAOImpl(this));
        getSupportFragmentManager().beginTransaction()
                .replace(R.id.fragment_container, fragment)
                .commit();
    }

}
