package chess.mobile.game;

import chess.mobile.BasePresenter;
import chess.mobile.BaseView;
import chess.mobile.chessgame.ChessGame;
import chess.mobile.model.UciInfo;

/**
 * Created by Stanisław Kabaciński.
 */

public interface BoardFragmentContract {

    interface View extends BaseView<Presenter> {

        void showNoEngineOutput();

        void showLastEngineLine(String output, Integer depth, Integer cp);

    }

    interface Presenter extends BasePresenter {

        void onInfoReceived(UciInfo info);

    }

}
