package chess.mobile.login;

import chess.mobile.BasePresenter;
import chess.mobile.BaseView;

/**
 * Created by Stanisław Kabaciński.
 */

interface LoginContract {

    interface View extends BaseView<Presenter> {

        void setUrl(String url);

        void setLogin(String login);

        void showProgress(boolean show);

        void showError(boolean show);

        void showSuccess(boolean show);

    }

    interface Presenter extends BasePresenter {

        void login(CharSequence url, CharSequence login, CharSequence password);

    }
}
