package chess.mobile.meta;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;

import chess.mobile.R;
import chess.mobile.dao.GameMetaDAOImpl;

import static butterknife.ButterKnife.findById;

public class AddEditMetaActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_add_edit_meta);
        Toolbar toolbar = findById(this, R.id.toolbar);
        setSupportActionBar(toolbar);
        getSupportActionBar().setDisplayShowHomeEnabled(true);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);

        AddEditMetaFragment fragment = new AddEditMetaFragment();
        new AddEditMetaPresenter(fragment, GameMetaDAOImpl.getInstance());

        getSupportFragmentManager().beginTransaction()
                .replace(R.id.fragment_container, fragment)
                .commit();
    }
}
