package chess.mobile.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Created by Stanisław Kabaciński.
 */

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class EnginesList {

    @JsonProperty("success")
    private boolean success;

    @JsonProperty("info")
    private Engine[] engines;

    public EnginesList() {
    }

    public boolean isSuccess() {
        return success;
    }

    public Engine[] getEngines() {
        return engines;
    }

}
