package chess.mobile.chessgame;

import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Stanisław Kabaciński.
 */
public class SANMoveMakerTest {

    @Test
    public void processMoves() throws Exception {
        ChessGame chessGame = new ChessGameImpl();
        SANMoveMaker maker = new SANMoveMaker(chessGame, new PossibleMovesProviderImpl(chessGame));

        List<Entity> entities = new ArrayList<>();
        Move move = new Move();
        move.setSan("b4");
        entities.add(move);
        move = new Move();
        move.setSan("b5");
        entities.add(move);
        maker.processMoves(entities);


    }

}