# Budowanie aplikacji
## Wymagania wstępne
* Zainstalowane JDK w wersji co najmniej 8
* Wartość zmiennej środowiskowej `JAVA_HOME` odpowiada lokalizacji pakietu JDK
* Zainstalowane Android SDK
* Wartość zmiennnej środowiskowej `ANDROID_HOME` odpowiada lokalizacji Android SDK
* W Android SDK pobrana jest platforma `Android 7.0`
* W Android SDK pobrane są narzędzia:
  * Android SDK Build-Tools
  * Android SDK Platform-Tools w wersji 26.0.0
  * Android SDK Tools w wersji 26.0.2
  * ConstraintLayout for Android 
  * Solver for ConstraintLayout
  * Android Support Repository
## Budowanie
By zbudować aplikcję wersji `debug` należy użyć komendy `./gradlew assembleDebug`, a w wersji `release` komendy `./gradlew assembleRelease`. W obu przypadkach aplikacja zostanie zapisana w folderze `./app/build/outputs/apk` pod nazwą `app-debug.apk` dla wersji `debug` i `app-release-unsigned.apk` dla wersji `release`.