package chess.mobile.rest;

import chess.mobile.model.LoginForm;
import chess.mobile.model.LoginResponse;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.POST;

/**
 * Created by Stanisław Kabaciński.
 */

public interface UserService {

    @POST("/user/login")
    Call<LoginResponse> login(
            @Body LoginForm form
    );

    @GET("/user/logout")
    Call<Object> logout();
}
