package chess.mobile.util;

/**
 * Created by Stanisław Kabaciński.
 */

public final class Strings {

    public static String getStringBetween(String string, String start, String end) {
        int b = start == null ? -1 : string.indexOf(start);
        b = b >= 0 ? b + start.length() : 0;
        int e = end == null ? -1 : string.indexOf(end, b);
        e = e >= 0 ? e : string.length();
        return string.substring(b, e);
    }

    public static Integer getIntAfterString(String string, String pattern) {
        int pos = string.indexOf(pattern);
        if (pos < 0) return null;
        pos += pattern.length() + 1;
        int end = string.indexOf(' ', pos);
        try {
            return Integer.parseInt(string.substring(pos, end));
        } catch (NumberFormatException e) {
            return null;
        }
    }
}
